{ config, pkgs, ... }:
{
  # Set up essential directories in the home directory
  # TODO
  # home.file."Dev".directory = true;
  # home.file."owncloud".directory = true;

  # Set XDG user directories
  xdg.userDirs = {
    enable = true;
    createDirectories = true;
    documents = "${config.home.homeDirectory}/Documents";
    download = "${config.home.homeDirectory}/Downloads";
    pictures = "${config.home.homeDirectory}/Pictures";
    # do not create the following
    desktop = null;
    music = null;
    publicShare = null;
    templates = null;
    videos = null;
  };
}
